## linux 3.16.7-ckt7

=== debian/changelog ===
linux (3.16.7-ckt7-1) unstable; urgency=medium

  * New upstream stable update:
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt5
    - [x86] vdso: Use asm volatile in __getcpu
    - SCSI: fix regression in scsi_send_eh_cmnd() (regression in 3.16)
    - Btrfs: don't delay inode ref updates during log replay
      (regression in 3.16.7)
    - mm: propagate error from stack expansion even for guard page
    - vfio-pci: Fix the check on pci device type in vfio_pci_probe()
    - rpc: fix xdr_truncate_encode to handle buffer ending on page boundary
      (regression in 3.16)
    - [arm64] efi: add missing call to early_ioremap_reset()
      (regression in 3.16)
    - exit: fix race between wait_consider_task() and wait_task_zombie()
      (regression in 3.15)
    - mm: prevent endless growth of anon_vma hierarchy
    - mm: protect set_page_dirty() from ongoing truncation
    - mm, vmscan: prevent kswapd livelock due to pfmemalloc-throttled process
      being killed
    - sched/deadline: Fix migration of SCHED_DEADLINE tasks
    - HID: roccat: potential out of bounds in pyra_sysfs_write_settings()
    - mm: Don't count the stack guard page towards RLIMIT_STACK
    - mm: fix corner case in anon_vma endless growing prevention
    - [arm*][xen] introduce xen_arch_need_swiotlb
    - fsnotify: next_i is freed during fsnotify_unmount_inodes.
    - [armhf] ASoC: eukrea-tlv320: Fix of_node_put() call with uninitialized
      object (regression in 3.15)
    - HID: i2c-hid: Do not free buffers in i2c_hid_stop() (regression in 3.15)
    - ALSA: fireworks: fix an endianness bug for transaction length
      (regression in 3.16)
    - [armhf] mtd: nand: omap: Fix NAND enumeration on 3430 LDP
      (regression in 3.13)
    - ocfs2: fix the wrong directory passed to ocfs2_lookup_ino_from_name()
      when link file (regression in 3.14)
    - [powerpc*] Fix bad NULL pointer check in udbg_uart_getc_poll()
      (regression in 3.12)
    - nilfs2: fix the nilfs_iget() vs. nilfs_new_inode() races
    - [armhf] OMAP4: PM: Only do static dependency configuration in
      omap4_init_static_deps (regression in 3.11)
    - [armel,armhf] Revert "ARM: 7830/1: delay: don't bother reporting bogomips
      in /proc/cpuinfo" (regression in 3.12)
    - gre: fix the inner mac header in nbma tunnel xmit path
      (regression in 3.16.7-ckt3)
    - netlink: Always copy on mmap TX.
    - netlink: Don't reorder loads/stores before marking mmap netlink frame as
      available
    - batman-adv: Unify fragment size calculation (regression in 3.13)
    - batman-adv: avoid NULL dereferences and fix if check (regression in 3.13)
    - net: Fix stacked vlan offload features computation
    - net: Reset secmark when scrubbing packet
    - xen-netback: fixing the propagation of the transmit shaper timeout
      (regression in 3.16)
    - team: avoid possible underflow of count_pending value for notify_peers
      and mcast_rejoin (regression in 3.12)
    - usb: gadget: gadgetfs: Free memory allocated by memdup_user()
      (regression in 3.15)
    - iwlwifi: mvm: fix Rx with both chains (regression in 3.16)
    - LOCKD: Fix a race when initialising nlmsvc_timeout (regression in 3.11)
    - NFSv4.1: Fix client id trunking on Linux
    - vhost-scsi: Add missing virtio-scsi -> TCM attribute conversion
    - xhci: Check if slot is already in default state before moving it there
      (regression in 3.14)
    - USB: console: fix uninitialised ldisc semaphore (regression in 3.12)
    - USB: console: fix potential use after free
    - [armhf] usb: dwc3: gadget: Fix TRB preparation during SG
    - [x86] ftrace/jprobes: Fix conflict between jprobes and function graph
      tracing
    - clk: Don't try to use a struct clk* after it could have been freed
    - [x86] drm/i915: Evict CS TLBs between batches
    - [xen] Revert "swiotlb-xen: pass dev_addr to swiotlb_tbl_unmap_single"
      (regression in 3.16.7-ckt4)
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt6
    - ipvs: uninitialized data with IP_VS_IPV6
    - netfilter: nfnetlink: validate nfnetlink header from batch
    - time: settimeofday: Validate the values of tv from user
    - drm/radeon: fix VM flush on cayman/aruba (v3)
    - drm/radeon: fix VM flush on SI (v3)
    - drm/radeon: fix VM flush on CIK (v3)
    - drm/radeon: add a dpm quirk list (regression around 3.14)
    - can: dev: fix crtlmode_supported check
    - can: kvaser_usb: Don't free packets when tight on URBs
    - drm/radeon: use rv515_ring_start on r5xx (regression in 3.12)
    - PCI: Mark Atheros AR93xx to avoid bus reset (regression in 3.14)
    - [x86] PCI: Clip bridge windows to fit in upstream windows
      (regression in 3.16)
    - [armhf] mvebu: completely disable hardware I/O coherency
    - cifs: fix deadlock in cifs_ioctl_clone()
    - ipr: wait for aborted command responses
    - libata: allow sata_sil24 to opt-out of tag ordered submission
      (regression in 3.14.4, 3.15)
    - [media] vb2: fix vb2_thread_stop race conditions
    - [i386/586] apic: Re-enable PCI_MSI support for non-SMP X86_32
      (regression in 3.12)
    - dm cache: share cache-metadata object across inactive and active DM
      tables
    - dm cache: fix problematic dual use of a single migration count variable
    - Input: evdev - fix EVIOCG{type} ioctl
    - tty: Fix pty master poll() after slave closes v2 (regression in 3.12)
    - [armhf] bus: omap_l3_noc: Add resume hook to restore context
      (regression in 3.16)
    - decompress_bunzip2: off by one in get_next_block()
    - kbuild: Fix removal of the debian/ directory (regression in 3.16)
    - mm: get rid of radix tree gfp mask for pagecache_get_page
      (regression in 3.16)
    - regulator: core: fix race condition in regulator_put()
    - ASoC: simple-card: Fix crash in asoc_simple_card_unref()
      (regression in 3.15)
    - [ppc64el] xmon: Fix another endiannes issue in RTAS call from xmon
    - nfs: fix dio deadlock when O_DIRECT flag is flipped

