## linux 3.16.7-ckt9

=== debian/changelog ===
linux (3.16.7-ckt9-2) unstable; urgency=medium

  * btrfs: simplify insert_orphan_item (Closes: #782362)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 13 Apr 2015 02:01:54 +0100

linux (3.16.7-ckt9-1) unstable; urgency=medium

  * New upstream stable update:
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt8
    - usb: core: buffer: smallest buffer should start at ARCH_DMA_MINALIGN
    - btrfs: fix leak of path in btrfs_find_item
    - tpm_tis: verify interrupt during init
    - xfs: ensure buffer types are set correctly
    - xfs: inode unlink does not set AGI buffer type
    - xfs: set buf types when converting extent formats
    - xfs: set superblock buffer type correctly
    - [s390*] KVM: avoid memory leaks if __inject_vm() fails
    - samsung-laptop: Add use_native_backlight quirk, and enable it on some
      models (regression in 3.14)
    - staging: comedi: comedi_compat32.c: fix COMEDI_CMD copy back
    - nfs: don't call blocking operations while !TASK_RUNNING
    - cdc-acm: add sanity checks
    - USB: fix use-after-free bug in usb_hcd_unlink_urb()
    - iwlwifi: mvm: fix failure path when power_update fails in add_interface
    - tty: Prevent untrappable signals from malicious program
    - cpufreq: Set cpufreq_cpu_data to NULL before putting kobject
    - nfs41: .init_read and .init_write can be called with valid pg_lseg
      (regression in 3.15)
    - mei: mask interrupt set bit on clean reset bit (regression in
      3.16.7-ckt5)
    - [s390*] KVM: floating irqs: fix user triggerable endless loop
    - cfq-iosched: handle failure of cfq group allocation
    - tracing: Fix unmapping loop in tracing_mark_write
    - fsnotify: fix handling of renames in audit
    - blk-mq: fix double-free in error path
    - NFSv4.1: Fix a kfree() of uninitialised pointers in
      decode_cb_sequence_args
    - mm/hugetlb: pmd_huge() returns true for non-present hugepage
    - mm/hugetlb: take page table lock in follow_huge_pmd()
    - mm/hugetlb: fix getting refcount 0 page in hugetlb_fault()
    - mm/hugetlb: add migration/hwpoisoned entry check in
      hugetlb_change_protection
    - mm/hugetlb: add migration entry check in __unmap_hugepage_range
    - iscsi-target: Drop problematic active_ts_list usage
    - mm/memory.c: actually remap enough memory
    - mm: hwpoison: drop lru_add_drain_all() in __soft_offline_page()
      (regression in 3.11)
    - jffs2: fix handling of corrupted summary length
    - dm mirror: do not degrade the mirror on discard error
    - dm io: reject unsupported DISCARD requests with EOPNOTSUPP
    - NFS: struct nfs_commit_info.lock must always point to inode->i_lock
      (regression in 3.16.4)
    - target: Add missing WRITE_SAME end-of-device sanity check
    - target: Check for LBA + sectors wrap-around in sbc_parse_cdb
    - Btrfs: fix fsync data loss after adding hard link to inode
    - sg: fix read() error reporting
    - IB/qib: Do not write EEPROM
    - [amd64] EDAC, amd64_edac: Prevent OOPS with >16 memory controllers
      (regression in 3.11)
    - md/raid5: Fix livelock when array is both resyncing and degraded.
    - locking/rtmutex: Avoid a NULL pointer dereference on deadlock
      (regression in 3.16)
    - time: adjtimex: Validate the ADJ_FREQUENCY values
    - ntp: Fixup adjtimex freq validation on 32-bit systems
    - dm: fix a race condition in dm_get_md
    - dm snapshot: fix a possible invalid memory access on unload
    - libceph: fix double __remove_osd() problem
    - blk-throttle: check stats_cpu before reading it from sysfs
    - debugfs: leave freeing a symlink body until inode eviction
    - procfs: fix race between symlink removals and traversals
    - autofs4 copy_dev_ioctl(): keep the value of ->size we'd used for
      allocation
    - clk-gate: fix bit # check in clk_register_gate() (regression in 3.11)
    - [powerpc*] kernel: Avoid memory corruption at early stage
      (regression in 3.14)
    - GFS2: Fix crash during ACL deletion in acl max entry check in
      gfs2_set_acl() (regression in 3.14)
    - net: llc: use correct size for sysctl timeout entries (CVE-2015-2041)
    - net: rds: use correct size for max unacked packets and bytes
      (CVE-2015-2042)
    - HID: i2c-hid: Limit reads to wMaxInputLength bytes for input events
      (regression in 3.16.7-ckt4)
    - net: sctp: fix race for one-to-many sockets in sendmsg's auto associate
    - ipv6: mld: fix add_grhead skb_over_panic for devs with large MTUs
    - IB/core: When marshaling ucma path from user-space, clear unused fields
      (regression in 3.14)
    - IB/core: Fix deadlock on uverbs modify_qp error flow (regression in 3.14)
    - IB/mlx4: Fix wrong usage of IPv4 protocol for multicast attach/detach
      (regression in 3.14)
    - IB/iser: Use correct dma direction when unmapping SGs
      (regression in 3.15)
    - staging: comedi: cb_pcidas64: fix incorrect AI range code handling
    - target: Fix R_HOLDER bit usage for AllRegistrants
    - target: Avoid dropping AllRegistrants reservation during unregister
    - target: Allow AllRegistrants to re-RESERVE existing reservation
    - target: Allow Write Exclusive non-reservation holders to READ
    - vhost/scsi: potential memory corruption
    - mm: softdirty: unmapped addresses between VMAs are clean
    - proc/pagemap: walk page tables under pte lock
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt9
    - netfilter: nft_compat: fix module refcount underflow
    - netfilter: xt_socket: fix a stack corruption bug
    - ipvs: add missing ip_vs_pe_put in sync code
    - flowcache: Fix kernel panic in flow_cache_flush_task (regression in 3.15)
    - tcp: make sure skb is not shared before using skb_get()
      (regression in 3.16)
    - gen_stats.c: Duplicate xstats buffer for later use
    - ematch: Fix auto-loading of ematch modules.
    - openvswitch: Fix net exit.
    - net: reject creation of netdev names with colons
    - macvtap: make sure neighbour code can push ethernet header

