## linux 3.16.7-ckt11

=== debian/changelog ===
linux (3.16.7-ckt11-1+deb8u4+rpi1) jessie-staging; urgency=medium

  [changes brought forward from 3.16.7-ckt4-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 18 Jan 2015 13:41:28 +0000]
  [Vagrant Cascadian <vagrant@debian.org>]
  * disable other armhf variants. 
  * disable other armhf debian-installer variants.
  * attempt to enable debian-installer udebs for rpi.
  * try harder to enable debian-installer udebs. 
  [Peter Michael Green]
  * Include patches to support RaspberryPI from:
    https://github.com/raspberrypi/linux.git
    branch: rpi-3.16.y
  * add script to automatically regenerate rpi patches from git repos
  * add hack to allow upgrading of kernel located on fat partition to succeed
  * Fix clean target
  * Merge config changes from 3.10.11-1+rpi4 packaging.
  * Build hardware rng module.
  * Build pps module for gps timeserver support.
  * Disable fat modules udeb because we are compiling fat support in.
  * Disable patches that conflict with or duplicate rpi patches
    - features/all/cgroups-Allow-memory-cgroup-support-to-be-included-b.patch
  * Add various kernel config changes that the raspberry pi foundation made between
    3.14 and 3.16 kernel series.
  * Changes forward ported from 3.12 packaging
    + optimise update-rpi-patches script a bit (reduce the number of calls to
      quilt refresh).
    + apply GPIO related configuration changes requested by Diederik
      (LP: 1403865)

  [changes introduced in 3.16.7-ckt11-1+deb8u2+rpi1 by Peter Michael Green in  at Sun, 26 Jul 2015 21:26:49 +0000]
  * Revert a couple of minor upstream changes in otg-whitelist.h and pcm512x.c
    which conflicted with the rpi patches.
  * Add RTC related kernel changes requested by Diederik

 -- Raspbian forward porter <root@raspbian.org>  Wed, 23 Sep 2015 05:42:55 +0000

linux (3.16.7-ckt11-1+deb8u4) jessie-security; urgency=medium

  * ipv6: addrconf: validate new MTU before applying it (CVE-2015-0272)
  * virtio-net: drop NETIF_F_FRAGLIST (CVE-2015-5156)
  * vhost: actually track log eventfd file (CVE-2015-6252)
  * aufs3: mmap: Fix races in madvise_remove() and sys_msync() (Closes: #796036)
  * RDS: verify the underlying transport exists before creating a connection
    (CVE-2015-6937)
  * vfs: Fix possible escape from mount namespace (CVE-2015-2925):
    - namei: lift (open-coded) terminate_walk() in follow_dotdot_rcu() into
      callers
    - dcache: Handle escaped paths in prepend_path
    - vfs: Test for and handle paths that are unreachable from their mnt_root

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Sep 2015 15:07:53 +0200

linux (3.16.7-ckt11-1+deb8u3) jessie-security; urgency=high

  * path_openat(): fix double fput() (CVE-2015-5706)
  * KEYS: ensure we free the assoc array edit if edit is valid (CVE-2015-1333)
  * sctp: fix ASCONF list handling (CVE-2015-3212)
  * [x86] kvm: fix kvm_apic_has_events to check for NULL pointer (CVE-2015-4692)
  * [x86] bpf_jit: fix compilation of large bpf programs (CVE-2015-4700)
  * sg_start_req(): make sure that there's not too many elements in iovec
    (CVE-2015-5707)
  * md: use kzalloc() when bitmap is disabled (CVE-2015-5697)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 04 Aug 2015 01:50:04 +0100

linux (3.16.7-ckt11-1+deb8u2) jessie-security; urgency=high

  * [amd64] Restore "perf/x86: Further optimize copy_from_user_nmi()"
  * [amd64] Fix nested NMI handling (CVE-2015-3290, CVE-2015-3291)
    - Enable nested do_nmi handling for 64-bit kernels
    - Remove asm code that saves cr2
    - Switch stacks on userspace NMI entry
    - Reorder nested NMI checks
    - Use DF to avoid userspace RSP confusing nested NMI detection

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 17 Jul 2015 21:28:00 +0100

linux (3.16.7-ckt11-1+deb8u1) jessie-security; urgency=medium

  * udf: Remove repeated loads blocksize
  * udf: Check length of extended attributes and allocation descriptors
    (CVE-2015-4167)
  * udp: fix behavior of wrong checksums (CVE-2015-5364, CVE-2015-5366)
  * [amd64] Revert "perf/x86: Further optimize copy_from_user_nmi()"
    (CVE-2015-3290)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 16 Jul 2015 20:18:18 +0100

linux (3.16.7-ckt11-1) jessie; urgency=medium

  * New upstream stable update:
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt10
    - fuse: notify: don't move pages
    - fuse: set stolen page uptodate
    - dm thin: fix to consistently zero-fill reads to unprovisioned blocks
    - dm: hold suspend_lock while suspending device during device deletion
    - dm snapshot: suspend origin when doing exception handover
    - dm snapshot: suspend merging snapshot when doing exception handover
    - dm io: deal with wandering queue limits when handling REQ_DISCARD and
      REQ_WRITE_SAME
    - [armhf] crypto: arm/aes update NEON AES module to latest OpenSSL version
      (regression in 3.13)
    - mac80211: drop unencrypted frames in mesh fwding
    - mac80211: disable u-APSD queues by default
    - virtio_console: init work unconditionally
    - regmap: regcache-rbtree: Fix present bitmap resize (regression in 3.12)
    - Input: synaptics - fix middle button on Lenovo 2015 products
    - Input: synaptics - handle spurious release of trackstick buttons
    - [x86] asm/entry/32: Fix user_mode() misuses
    - [x86] fpu: Avoid math_state_restore() without used_math() in
      __restore_xstate_sig()
    - [x86] fpu: Drop_fpu() should not assume that tsk equals current
    - mac80211: count interfaces correctly for combination checks
      (regression in 3.16)
    - nl80211: ignore HT/VHT capabilities without QoS/WMM
    - pagemap: do not leak physical addresses to non-privileged userspace
      (mitigation of the DRAM 'rowhammer' defect)
    - iscsi-target: Avoid early conn_logout_comp for iser connections
    - tcm_qla2xxx: Fix incorrect use of __transport_register_session
    - [arm64] Honor __GFP_ZERO in dma allocations
    - xfrm: release dst_orig in case of error in xfrm_lookup()

