## linux 3.16.7-ckt20

=== debian/changelog ===
linux (3.16.7-ckt20-1+deb8u2) jessie-security; urgency=medium

  * [xen] Fix race conditions in back-end drivers (CVE-2015-8550, XSA-155)
  * [xen] pciback: Fix state validation in MSI control operations
    (CVE-2015-8551, CVE-2015-8852, XSA-157)
  * pptp: verify sockaddr_len in pptp_bind() and pptp_connect() (CVE-2015-8569)
  * bluetooth: Validate socket address length in sco_sock_bind() (CVE-2015-8575)
  * ptrace: being capable wrt a process requires mapped uids/gids
    (CVE-2015-8709)
  * KEYS: Fix race between read and revoke (CVE-2015-7550)
  * [x86] KVM: Reload pit counters for all channels when restoring state
    (CVE-2015-7513)
  * udp: properly support MSG_PEEK with truncated buffers
    (Closes: #808293, regression in 3.16.7-ckt17)
  * Revert "xhci: don't finish a TD if we get a short transfer event mid TD"
    (Closes: #808602, #808953, regression in 3.16.7-ckt20)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 02 Jan 2016 03:31:39 +0000

linux (3.16.7-ckt20-1+deb8u1) jessie-security; urgency=medium

  [ Salvatore Bonaccorso ]
  * [x86] KVM: rename update_db_bp_intercept to update_bp_intercept

  [ Ben Hutchings ]
  * media: usbvision: fix leak of usb_dev on failure paths in usbvision_probe()
  * media: usbvision: fix crash on detecting device with invalid configuration
    (CVE-2015-7833, partly fixed in 3.16.7-ckt11-1+deb8u6)
  * splice: sendfile() at once fails for big files (Closes: #785189)
  * unix: avoid use-after-free in ep_remove_wait_queue (CVE-2013-7446)
  * Btrfs: fix truncation of compressed and inlined extents (CVE-2015-8374)
  * net: add validation for the socket syscall protocol argument (CVE-2015-8543)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Dec 2015 21:10:28 +0000

linux (3.16.7-ckt20-1) jessie; urgency=medium

  * New upstream stable update:
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt18
    - mac80211: enable assoc check for mesh interfaces
    - PCI: Add VPD function 0 quirk for Intel Ethernet devices
    - staging: comedi: usbduxsigma: don't clobber ai_timer in command test
    - staging: comedi: usbduxsigma: don't clobber ao_timer in command test
    - [armhf] usb: dwc3: ep0: Fix mem corruption on OUT transfers of more than
      512 bytes
    - [x86] KVM: MMU: fix validation of mmio page fault (regression in 3.11)
    - iio: industrialio-buffer: Fix iio_buffer_poll return value
      (regression in 3.13)
    - iio: event: Remove negative error code from iio_event_poll
      (regression in 3.13)
    - NFSv4: don't set SETATTR for O_RDONLY|O_EXCL
    - fs: Set the size of empty dirs to 0. (regression in 3.16.7-ckt15)
    - [x86] staging: comedi: adl_pci7x3x: fix digital output on PCI-7230
    - blk-mq: fix buffer overflow when reading sysfs file of 'pending'
    - NFS: nfs_set_pgio_error sometimes misses errors
    - NFS: Fix a NULL pointer dereference of migration recovery ops for v4.2
      client
    - usb: host: ehci-sys: delete useless bus_to_hcd conversion
    - USB: symbolserial: Use usb_get_serial_port_data (regression in 3.10)
    - igb: Fix oops caused by missing queue pairing (regression in 3.14)
    - eCryptfs: Invalidate dcache entries when lower i_nlink is zero
    - libxfs: readahead of dir3 data blocks should use the read verifier
    - xfs: Fix xfs_attr_leafblock definition
    - [arm64] kconfig: Move LIST_POISON to a safe value
    - Btrfs: check if previous transaction aborted to avoid fs corruption
    - xfs: Fix file type directory corruption for btree directories
    - [arm64] flush FP/SIMD state correctly after execve()
    - xfs: return errors from partial I/O failures to files
    - drm/radeon/atom: Send out the full AUX address
    - [x86] drm/i915: Always mark the object as dirty when used by the GPU
    - IB/uverbs: reject invalid or unknown opcodes
    - [x86] crypto: ghash-clmulni: specify context size for ghash async
      algorithm
    - fs: create and use seq_show_option for escaping
    - scsi: fix scsi_error_handler vs. scsi_host_dev_release race
    - [x86] drm/i915: Limit the number of loops for reading a split 64bit
      register (regression in 3.16.7-ckt16)
    - hfs,hfsplus: cache pages correctly between bnode_create and bnode_free
    - hfs: fix B-tree corruption after insertion at position 0
    - [armel/versatile,armhf] Input: ambakmi - fix system PM by converting to
      modern callbacks (regression in 3.14)
    - svcrdma: Fix send_reply() scatter/gather set-up
    - [x86] mm: Initialize pmd_idx in page_table_range_init_count()
    - batman-adv: fix multicast counter when purging originators
    - batman-adv: fix counter for multicast supporting nodes
    - batman-adv: Fix potential synchronization issues in mcast tvlv handler
    - batman-adv: Fix potentially broken skb network header access
    - [powerpc/powerpc64] mm: Fix pte_pagesize_index() crash on 4K w/64K hash
    - ath10k: fix dma_mapping_error() handling
    - mmc: sdhci: also get preset value and driver type for MMC_DDR52
      (regression in 3.16)
    - IB/mlx4: Fix potential deadlock when sending mad to wire
    - IB/mlx4: Forbid using sysfs to change RoCE pkeys
    - IB/uverbs: Fix race between ib_uverbs_open and remove_one
    - mmc: core: fix race condition in mmc_wait_data_done
    - task_work: remove fifo ordering guarantee
    - netlink, mmap: fix edge-case leakages in nf queue zero-copy
    - md: flush ->event_work before stopping array.
    - md/raid10: always set reshape_safe when initializing reshape_position.
    - ext4: fix loss of delalloc extent info in ext4_zero_range()
    - [powerpc,ppc64el] MSI: Fix race condition in tearing down MSI interrupts
    - UBI: block: Add missing cache flushes
    - net/ipv6: Correct PIM6 mrt_lock handling
    - netlink, mmap: transform mmap skb into full skb on taps
    - openvswitch: Zero flows on allocation.
    - fib_rules: fix fib rule dumps across multiple skbs
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt19
    - CIFS: fix type confusion in copy offload ioctl

