## linux 3.16.7-ckt25

=== debian/changelog ===
linux (3.16.7-ckt25-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy:
    - Disable architectures that weren't part of wheezy
    - Use gcc-4.6 for all architectures
    - Change ABI number to 0.bpo.4
    - [arm] btrfs: Work around bug in gcc-4.6 (fixes FTBFS)
    - linux-image: Depend on initramfs-tools without any alternatives, so
      that neither apt nor aptitude will automatically switch to dracut

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 13 Apr 2016 00:39:02 +0100

linux (3.16.7-ckt25-2) jessie; urgency=medium

  * Revert "drm/radeon: hold reference to fences in radeon_sa_bo_new"
    (Closes: #819881)
  * Revert "drm/radeon: call hpd_irq_event on resume", reported to cause
    regressions (crash/hang) on some systems
  * Revert "usb: hub: do not clear BOS field during reset device"
    (Closes: #820176)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 08 Apr 2016 11:51:23 +0100

linux (3.16.7-ckt25-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy:
    - Disable architectures that weren't part of wheezy
    - Use gcc-4.6 for all architectures
    - Change ABI number to 0.bpo.4
    - [arm] btrfs: Work around bug in gcc-4.6 (fixes FTBFS)
    - linux-image: Depend on initramfs-tools without any alternatives, so
      that neither apt nor aptitude will automatically switch to dracut

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 02 Apr 2016 14:44:46 +0100

linux (3.16.7-ckt25-1) jessie; urgency=medium

  * New upstream stable update:
    http://kernel.ubuntu.com/stable/ChangeLog-3.16.7-ckt21
    - irda: precedence bug in irlmp_seq_hb_idx()
    - macvtap: unbreak receiving of gro skb with frag list
    - RDS-TCP: Recover correctly from pskb_pull()/pksb_trim() failure in
      rds_tcp_data_recv
    - stmmac: Correctly report PTP capabilities.
    - ipmr: fix possible race resulting from improper usage of IP_INC_STATS_BH()
      in preemptible context.
    - sit: fix sit0 percpu double allocations
    - packet: race condition in packet_bind
    - net: avoid NULL deref in inet_ctl_sock_destroy()
    - net: fix a race in dst_release()
    - Failing to send a CLOSE if file is opened WRONLY and server reboots on a
      4.x mount
    - [x86] xen: Do not clip xen_e820_map to xen_e820_map_entries when
      sanitizing map
    - HID: core: Avoid uninitialized buffer access
    - [media] v4l2-compat-ioctl32: fix alignment for ARM64
    - [armhf] net: mvneta: Fix CPU_MAP registers initialisation
    - mtd: mtdpart: fix add_mtd_partitions error path
    - [armel,armhf] 8426/1: dma-mapping: add missing range check in dma_mmap()
    - [armel,armhf] 8427/1: dma-mapping: add support for offset parameter in
      dma_mmap()
    - spi: ti-qspi: Fix data corruption seen on r/w stress test
    - lockd: create NSM handles per net namespace
    - Btrfs: fix file corruption and data loss after cloning inline extents
    - [armel,armhf] common: edma: Fix channel parameter for irq callbacks
    - [x86] iommu/vt-d: Fix ATSR handling for Root-Complex integrated endpoints
    - ext4: fix potential use after free in __ext4_journal_stop
    - ext4: fix calculation of meta_bg descriptor backups
    - ext4, jbd2: ensure entering into panic after recording an error in
      superblock
    - vTPM: fix memory allocation flag for rtce buffer at kernel boot
    - spi: dw: explicitly free IRQ handler in dw_spi_remove_host()
    - media: vb2 dma-contig: Fully cache synchronise buffers in prepare and
      finish
    - Bluetooth: hidp: fix device disconnect on idle timeout
    - Bluetooth: ath3k: Add new AR3012 0930:021c id
    - Bluetooth: ath3k: Add support of AR3012 0cf3:817b device
    - spi: atmel: Fix DMA-setup for transfers with more than 8 bits per word
    - ACPI: Use correct IRQ when uninstalling ACPI interrupt handler
    - [x86] ALSA: hda/realtek - Dell XPS one ALC3260 speaker no sound after
      resume back
    - megaraid_sas: Do not use PAGE_SIZE for max_sectors
    - [s390x] KVM: SCA must not cross page boundaries
    - [arm64] Fix compat register mappings
    - can: Use correct type in sizeof() in nla_put()
    - mtd: blkdevs: fix potential deadlock + lockdep warnings
    - Revert "dm mpath: fix stalls when handling invalid ioctls"
    - [x86] drm/i915: add quirk to enable backlight on Dell Chromebook 11 (2015)
    - crypto: algif_hash - Only export and import on sockets with data
    - xtensa: fixes for configs without loop option
    - megaraid_sas : do not access user memory from IOCTL code
    - mac80211: fix divide by zero when NOA update
    - mac80211: allow null chandef in tracing
    - [x86] KVM: VMX: fix SMEP and SMAP without EPT
    - [armhf] thermal: exynos: Fix unbalanced regulator disable on probe failure
    - [x86] ALSA: hda - Apply pin fixup for HP ProBook 6550b
    - firewire: ohci: fix JMicron JMB38x IT context discovery
    - scsi: restart list search after unlock in scsi_remove_target
    - mm: slab: only move management objects off-slab for sizes larger than
      KMALLOC_MIN_SIZE
    - [x86] Input: elantech - add Fujitsu Lifebook U745 to force crc_enabled
    - proc: actually make proc_fd_permission() thread-friendly
    - [x86] setup: Extend low identity map to cover whole kernel range
    - [x86] setup: Fix low identity map for >= 2GB kernel range
    - [x86] cpu: Call verify_cpu() after having entered long mode too
    - Btrfs: fix race leading to incorrect item deletion when dropping extents
    - Btrfs: fix race leading to BUG_ON when running delalloc for nodatacow
    - perf: Fix inherited events vs. tracepoint filters
    - scsi_sysfs: Fix queue_ramp_up_period return code
    - Btrfs: fix race when listing an inode's xattrs
    - [x86] ideapad-laptop: Add Lenovo Yoga 900 to no_hw_rfkill dmi list
    - [x86] storvsc: Don't set the SRB_FLAGS_QUEUE_ACTION_ENABLE flag
    - [x86] KVM: Defining missing x86 vectors
    - drivers: of: of_reserved_mem: fixup the alignment with CMA setup
    - drm/ast: Initialized data needed to map fbdev memory
